# Create Expense

Endpoint: POST /expenses
Version: 2.0.0
Security: oauth2, apiKey

## Request fields (application/json):

  - `workspace_id` (integer, required)

  - `amount` (number)

  - `category_id` (string)

  - `description` (string)

  - `date` (string)

## Response 201 fields (application/json):

  - `success` (boolean)
    Example: true

  - `data` (object)

  - `message` (string)

  - `meta` (object)

  - `meta.api_version` (string)
    Example: "2.0.0"

  - `meta.timestamp` (string)

## Response 400 fields (application/json):

  - `success` (boolean, required)

  - `message` (string, required)
    Error message describing what went wrong
    Example: "An error occurred"

  - `error` (string,null)
    Optional additional error details
    Example: "Internal Server Error"

  - `meta` (object, required)


